
Foreman - Feature #2424

encrypt compute resource password

04/24/2013 05:11 AM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Compute resources   

Target version: 1.3.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Related to Foreman - Feature #2929: Generate CR encryption key during package... Closed 08/13/2013

Related to Foreman - Feature #4483: Optional passphrase for encryption key New 02/27/2014

Related to Foreman - Feature #3378: Support for Encrypted Parameters New 10/20/2013

Related to Foreman - Bug #9775: CR encryption key not loaded before it's chec... Closed 03/16/2015

Related to Foreman - Feature #10263: Encrypt LDAP password in database Closed 04/24/2015

Related to Foreman - Feature #13870: Encrypt settings values Closed 02/24/2016

Has duplicate Foreman - Bug #2709: Foreman stores compute_resource passwords ... Duplicate 06/25/2013

Has duplicate Foreman - Feature #1328: Encrypt Hypervisor password Duplicate 11/15/2011

Associated revisions

Revision 08f6e65b - 08/13/2013 10:24 AM - Joseph Magen

fixes #2424 - add Encryptable module and encryption_key generation

Revision 5bdc1930 - 08/13/2013 10:24 AM - Joseph Magen

fixes #2424 - encrypts compute resource password

History

#1 - 06/25/2013 12:44 PM - Dominic Cleal

- Category set to Compute resources

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/568

#2 - 07/30/2013 03:07 AM - Dominic Cleal

- Has duplicate Feature #1328: Encrypt Hypervisor password added

#3 - 08/13/2013 10:27 AM - Dominic Cleal

- Target version set to 1.3.0

#4 - 08/13/2013 11:21 AM - Dominic Cleal

- Related to Feature #2929: Generate CR encryption key during package installation added

#5 - 08/13/2013 11:31 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset 08f6e65bec2e70c78c671cffc4da5018e15df66f.

#6 - 02/27/2014 04:44 PM - Dominic Cleal

- Related to Feature #4483: Optional passphrase for encryption key added

#7 - 02/27/2014 04:50 PM - Dominic Cleal

- Related to Feature #3378: Support for Encrypted Parameters added

#8 - 03/16/2015 10:24 AM - Dominic Cleal

- Related to Bug #9775: CR encryption key not loaded before it's checked, encryption is disabled added

#9 - 04/24/2015 07:49 AM - Dominic Cleal

- Related to Feature #10263: Encrypt LDAP password in database added

#10 - 02/24/2016 05:11 AM - Dominic Cleal

- Related to Feature #13870: Encrypt settings values added
